/*
   Bacula(R) - The Network Backup Solution

   Copyright (C) 2000-2023 Kern Sibbald

   The original author of Bacula is Kern Sibbald, with contributions
   from many others, a complete list can be found in the file AUTHORS.

   You may use this file and others of this release according to the
   license defined in the LICENSE file, which includes the Affero General
   Public License, v3.0 ("AGPLv3") and some additional permissions and
   terms pursuant to its AGPLv3 Section 7.

   This notice must be preserved when any source code is
   conveyed and/or propagated.

   Bacula(R) is a registered trademark of Kern Sibbald.
*/

#ifndef BOOT_UI_CONTROLLER_H
#define BOOT_UI_CONTROLLER_H

#include <QObject>
#include <QString>
#include "tray_conf.h"
#include "config-storage.h"

/*
   BootUiController - Class responsible for performing any tasks that are necessary
   before the first screen of the App is shown
*/
class BootUiController : public QObject
{
   Q_OBJECT

public:
   explicit BootUiController(QObject *parent = nullptr);
   ~BootUiController();

public slots:
   bool shouldShowTutorial();
};

#endif // BOOT_UI_CONTROLLER_H
